package md

type AliPayPayParams struct {
	Subject   string `json:"subject" binding:"required"`
	Amount    string `json:"amount" binding:"required"`
	OrderType string `json:"order_type" binding:"required"`
	OrdId     string `json:"ord_id"`
}

type PayData struct {
	PayAppCertSn          string `json:"pay_app_cert_sn"`
	PayAlipayRootCertSn   string `json:"pay_alipay_root_cert_sn"`
	PayAlipayrsaPublicKey string `json:"pay_alipayrsa_public_key"`
	PayAliUseType         string `json:"pay_ali_use_type"`
	PriKey                string `json:"pay_ali_new_private_key"`
	WxAppletFilepathUrl   string `json:"wx_applet_filepath_url"`
}

type ZhimaCreditPayafteruseCreditagreementQuery struct {
	ZhimaCreditPayafteruseCreditagreementQueryResponse struct {
		Code              string `json:"code"`
		Msg               string `json:"msg"`
		AgreementStatus   string `json:"agreement_status"`
		BizTime           string `json:"biz_time"`
		CreditAgreementId string `json:"credit_agreement_id"`
		OutAgreementNo    string `json:"out_agreement_no"`
	} `json:"zhima_credit_payafteruse_creditagreement_query_response"`
	AlipayCertSn string `json:"alipay_cert_sn"`
	Sign         string `json:"sign"`
}
type ZhimaCreditPayafteruseCreditbizorderOrder struct {
	ZhimaCreditPayafteruseCreditbizorderOrderResponse struct {
		Code             string `json:"code"`
		Msg              string `json:"msg"`
		OutOrderNo       string `json:"out_order_no"`
		CreditBizOrderId string `json:"credit_biz_order_id"`
	} `json:"zhima_credit_payafteruse_creditbizorder_order_response"`
	Sign string `json:"sign"`
}
type ZhimaCreditPayafteruseCreditbizorderQuery struct {
	ZhimaCreditPayafteruseCreditbizorderQueryResponse struct {
		Code              string  `json:"code"`
		Msg               string  `json:"msg"`
		CreditBizOrderId  string  `json:"credit_biz_order_id"`
		CreditAgreementId string  `json:"credit_agreement_id"`
		TotalAmount       float64 `json:"total_amount"`
		CreateTime        string  `json:"create_time"`
		ZmServiceId       string  `json:"zm_service_id"`
		ProductCode       string  `json:"product_code"`
		OrderStatus       string  `json:"order_status"`
		TradeNo           string  `json:"trade_no"`
	} `json:"zhima_credit_payafteruse_creditbizorder_query_response"`
	Sign string `json:"sign"`
}
type AlipayFundTransUniTransfer struct {
	AlipayFundTransUniTransferResponse struct {
		Code           string `json:"code"`
		Msg            string `json:"msg"`
		OutBizNo       string `json:"out_biz_no"`
		OrderId        string `json:"order_id"`
		PayFundOrderId string `json:"pay_fund_order_id"`
		Status         string `json:"status"`
		TransDate      string `json:"trans_date"`
	} `json:"alipay_fund_trans_uni_transfer_response"`
	Sign string `json:"sign"`
}
type ZhimaCreditPayafteruseCreditbizorderFinish struct {
	ZhimaCreditPayafteruseCreditbizorderFinishResponse struct {
		Code             string `json:"code"`
		Msg              string `json:"msg"`
		OutRequestNo     string `json:"out_request_no"`
		CreditBizOrderId string `json:"credit_biz_order_id"`
		OrderStatus      string `json:"order_status"`
	} `json:"zhima_credit_payafteruse_creditbizorder_finish_response"`
	Sign string `json:"sign"`
}
